<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Icon;

class IconTransform
{
    protected IconLoader $loader;

    public function __construct(IconLoader $loader)
    {
        $this->loader = $loader;
    }

    public function __invoke(object $node, array $params): void
    {
        foreach ($this->loader->retrieveIcons($node, $params['type']) as $icon) {
            $this->loader->loadIcon($icon);
        }
    }
}
